#
# spec file for package linux32
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           linux32
Version:        1.0
Release:        501.14
Summary:        32-Bit Emulation Utility for x86-64
License:        GPL-2.0-or-later
Group:          System/Kernel
URL:            http://ftp.x86-64.org/pub/linux/tools/linux32/
Source2:        %{name}.desktop
Source3:        konsole-linux32-24.png
Source4:        konsole-linux32-32.png
Source5:        konsole-linux32-48.png
Source6:        konsole-linux32-64.png
Source7:        konsole-linux32-128.png
Source8:        konsole-linux32-256.png
BuildRequires:  hicolor-icon-theme
BuildRequires:  update-desktop-files
Requires:       util-linux >= 2.16
Recommends:     xterm-bin
ExclusiveArch:  x86_64

%description
This is a small tool for 32-bit emulation in Linux/x86-64. It allows
you to execute programs that need a uname -m of i386 with uname
emulation. The uname -m is inherited by all child programs, but does
not affect the current shell or processes above it in the process
hierarchy.

%prep

%build

%install
install -D -m 644 %{SOURCE3} %{buildroot}%{_datadir}/icons/hicolor/24x24/apps/konsole-linux32.png
install -D -m 644 %{SOURCE4} %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/konsole-linux32.png
install -D -m 644 %{SOURCE5} %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/konsole-linux32.png
install -D -m 644 %{SOURCE6} %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/konsole-linux32.png
install -D -m 644 %{SOURCE7} %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/konsole-linux32.png
install -D -m 644 %{SOURCE8} %{buildroot}%{_datadir}/icons/hicolor/256x256/apps/konsole-linux32.png
%suse_update_desktop_file -i %{name}

%files
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/apps/konsole-linux32.png

%changelog
* Mon Sep  9 2019 Martin Pluskal <mpluskal@suse.com>
- Cleanup spec file with spec-cleaner
- Fix dependencies (recommend xterm)
* Thu Oct 20 2011 badshah400@gmail.com
- Added new icon in various sizes
- Changed .desktop category to TerminalEmulator instead of Shell to
  avoid an rpmlint warning
* Tue Jun 15 2010 badshah400@gmail.com
- Add categories to linux32.desktop to have it appear at the right
  place in application menus
* Wed Jul  8 2009 coolo@novell.com
- remove linux32 binaries and require new util-linux, leave the package
  as convenience
* Wed Apr 22 2009 sf@suse.de
- quote command in linux32.desktop correctly (bnc #496724)
* Wed Nov  5 2008 sf@suse.de
- fix desktop file to start in an xterm - for non-KDE-user
  (bnc #408320)
* Tue Nov  4 2008 coolo@suse.de
- remove outdated translations
* Tue Oct 21 2008 kukuk@suse.de
- Build only on x86-64
- Fix at least on destkop file entry
* Wed Oct 10 2007 bwalle@suse.de
- fix some problems (#188554)
  o make linux64 working even if it's called with the full path
  o don't switch magically to linux32 if linux64 is called with
    arguments (--3gb/--4gb)
  o fix segmentation fault
* Wed Mar  1 2006 sf@suse.de
- added -32bit to name and generics name in .desktop file (#52279)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Nov 23 2004 adrian@suse.de
- install icon file for desktop entry
* Sun Aug  3 2003 adrian@suse.de
- install the desktop file according to XDG instead of susewm
* Fri Jun 20 2003 ak@suse.de
- add linux32.1 as Source
* Thu Jun 19 2003 ak@suse.de
- eliminate README.linux32
- use RPM_OPT_FLAGS
* Thu Jun 19 2003 ak@suse.de
- fix neededforbuild
- make --3gb the default
- add manpage
- use hardlink for linux64
* Thu Jun  5 2003 ak@suse.de
- add --3gb support (needs kernel patch)
- fix error handling
* Thu Feb 20 2003 adrian@suse.de
- add menu entry for 32 bit shell in System/Terminals/
* Fri May 10 2002 stepan@suse.de
- initial version
